Bug 240509 - fence_bladecenter needs longer timeout
Summary: fence_bladecenter needs longer timeout
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman   
(Show other bugs)
Version: 5.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jim Parsons
QA Contact:
URL:
Whiteboard:
Keywords: Patch
Depends On: 190455
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-18 00:45 UTC by Matt Brodeur
Modified: 2018-10-20 01:03 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 21:51:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to increase the timeout (519 bytes, patch)
2008-04-27 06:28 UTC, David Robinson
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0189 normal SHIPPED_LIVE cman bug-fix and enhancement update 2009-01-20 16:05:55 UTC

Description Matt Brodeur 2007-05-18 00:45:53 UTC
This bug still exists/reappeared in RHEL5, cman-2.0.60-1.el5.


+++ This bug was initially created as a clone of Bug #190455 +++

Description of problem:
When using fence_bladecenter to powercycle an LS20 I find that it fails most of
the time.  I pushed the sleep 5 out to sleep 10 and it hasn't failed again yet.

Version-Release number of selected component (if applicable):
fence-1.32.18-0

How reproducible:
sparadic (sp?)

Steps to Reproduce:
1. try to -o reboot ibm-morrison.lab.boston.redhat.com

-- Additional comment from jparsons@redhat.com on 2006-05-15 13:22 EST --
changed in U4 release

Comment 1 David Robinson 2008-04-27 06:28:47 UTC
Created attachment 303892 [details]
patch to increase the timeout

We've had a customer encounter this too. Attached is a patch that fixed the
problem for them.

Comment 4 Alan Twohill 2008-07-22 01:39:15 UTC
Confirmed still in RHEL5.2.
Fixed by adding 

sleep 5;

In between power commands and power status checks in the file
/sbin/fence_bladecenter

Comment 5 Jim Parsons 2008-07-30 13:57:25 UTC
Done

Comment 8 errata-xmlrpc 2009-01-20 21:51:21 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0189.html


Note You need to log in before you can comment on or make changes to this bug.